gr_font_ops Struct Reference

struct housing function pointers to manage font hinted metrics for the graphite engine. More...

`#include <Font.h>`

## Public Attributes

size_t | size
| size of the structure in bytes to allow for future extensibility More...
gr_advance_fn | glyph_advance_x
| a pointer to a function to retrieve the hinted advance width of a glyph which the font cannot provide without client assistance. More...
gr_advance_fn | glyph_advance_y
| a pointer to a function to retrieve the hinted advance height of a glyph which the font cannot provide without client assistance. More...

## Detailed Description

struct housing function pointers to manage font hinted metrics for the graphite engine.

## Member Data Documentation

## glyph_advance_x

gr_advance_fn glyph_advance_x

a pointer to a function to retrieve the hinted advance width of a glyph which the font cannot provide without client assistance.

This can be NULL to signify no horizontal hinted metrics are necessary.

## glyph_advance_y

gr_advance_fn glyph_advance_y

a pointer to a function to retrieve the hinted advance height of a glyph which the font cannot provide without client assistance.

This can be NULL to signify no horizontal hinted metrics are necessary.

## size

size_t size

size of the structure in bytes to allow for future extensibility

The documentation for this struct was generated from the following file:

- Font.h